package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderAggregateOrderAggregateQueryRequest struct {
	/*
	   起始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   DRF1001     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   机台号     */
	PosNo *string `json:"pos_no,omitempty" `

	/*
	   下单终端: APP / POS     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   班次号     */
	DutyCode *string `json:"duty_code,omitempty" `

	/*
	   收营员id     */
	OperatorId *string `json:"operator_id,omitempty" `

	/*
	   订单状态: PAID / PACAKAGED / SUCCESS     */
	OrderStatus *string `json:"order_status,omitempty" `

	/*
	   分页序号     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   分页size     */
	PageSize *int64 `json:"page_size,omitempty" `
}

func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetStoreId(v string) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetPosNo(v string) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.PosNo = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetOrderClient(v string) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetDutyCode(v string) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.DutyCode = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetOperatorId(v string) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.OperatorId = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetOrderStatus(v string) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetPageIndex(v int64) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkOrderAggregateOrderAggregateQueryRequest) SetPageSize(v int64) *AlibabaWdkOrderAggregateOrderAggregateQueryRequest {
	s.PageSize = &v
	return s
}
